| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
GaudiPython.Bindings.iAlgTool Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgTool:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgTool:
[legend]

## Public Member Functions
def | __init__ (self, name, itool=None)
def | retrieveInterface (self)
def | name (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Static Public Attributes
| start = lambdaself:self.__call_interface_method__("_itool","start")
| stop = lambdaself:self.__call_interface_method__("_itool","stop")
| type = lambdaself:self.__call_interface_method__("_itool","type")

## Detailed Description

    Python equivalent to IAlgTool interface (not completed yet)

Definition at line 338 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iAlgTool.__init__ | ( |  | self,
|  |  | name,
|  |  | itool = `None`
| ) |  |

Definition at line 340 of file Bindings.py.

340 def __init__(self, name, itool = None ) :
341 iProperty.__init__(self, name, itool )
342 if itool : self.__dict__['_itool'] = itool
343 else : self.__dict__['_itool'] = None
344 svc = Helper.service( self._svcloc, 'ToolSvc', True )
345 self.__dict__['_toolsvc']= iToolSvc('ToolSvc', svc)
GaudiPython.Bindings.iToolSvc
Definition: Bindings.py:575
GaudiPython.Bindings.iAlgTool.__init__
def __init__(self, name, itool=None)
Definition: Bindings.py:340

## Member Function Documentation

def GaudiPython.Bindings.iAlgTool.name | ( |  | self | ) |

Definition at line 352 of file Bindings.py.

352 def name(self) :
353 if self._itool : return self._itool.name()
354 else : return self._name
355
356 #----iDataSvc class---------------------------------------------------------------------
GaudiPython.Bindings.iAlgTool.name
def name(self)
Definition: Bindings.py:352

def GaudiPython.Bindings.iAlgTool.retrieveInterface | ( |  | self | ) |

Definition at line 346 of file Bindings.py.

346 def retrieveInterface(self) :
347 itool = self._toolsvc._retrieve(self._name)
348 if itool : iAlgTool.__init__(self, self._name, itool)
GaudiPython.Bindings.iAlgTool.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:346

## Member Data Documentation

GaudiPython.Bindings.iAlgTool.start = lambdaself:self.__call_interface_method__("_itool","start")
| static

Definition at line 349 of file Bindings.py.

GaudiPython.Bindings.iAlgTool.stop = lambdaself:self.__call_interface_method__("_itool","stop")
| static

Definition at line 350 of file Bindings.py.

GaudiPython.Bindings.iAlgTool.type = lambdaself:self.__call_interface_method__("_itool","type")
| static

Definition at line 351 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py